Verfügbare Optionen pro Land
curl --request GET \
--url https://dashboard.lex-gpt.ai/api/rechtstipp/options \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.lex-gpt.ai/api/rechtstipp/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.lex-gpt.ai/api/rechtstipp/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country": "AT",
"default": {
"geographic": [
"<string>"
],
"legislation": true,
"judikatur": true,
"courts": [
"<string>"
],
"germanCourts": [
"<string>"
],
"swissCantons": [
"<string>"
],
"eurlex": true,
"documentTypes": [
"<string>"
]
},
"options": {
"geographic": [
{
"value": "<string>",
"label": "<string>"
}
],
"courts": [
{
"value": "<string>",
"label": "<string>"
}
],
"swissCantons": [
{
"value": "ZH",
"label": "Zürich"
}
],
"documentTypes": [
{}
],
"flags": [
{
"value": "<string>",
"label": "<string>"
}
]
}
}Rechtstipp
Verfügbare Optionen pro Land
Liefert pro Land den Default-Filter-Block und die gültigen
Auswahlwerte (AT: Bundesländer + Gerichte; CH: Kantone via
swissCantons; plus Flags), damit ein Selektor gebaut werden kann.
Verfügbar für AT und CH; DE liefert 400 (Roadmap).
GET
/
rechtstipp
/
options
Verfügbare Optionen pro Land
Authorizations
Authorization: Bearer <TOKEN>. Für den Tipp-Lebenszyklus
(/rechtstipps) ist <TOKEN> das finditoo-WP-JWT des eingeloggten
Anwalts (ein Service-Key wird hier mit 403 abgewiesen). /feedback
und /rechtstipp/options akzeptieren zusätzlich einen Service-Key
(Maschine-zu-Maschine). Behandle Tokens als Secret; niemals in
Chats/Slack teilen.
Query Parameters
Available options:
AT, DE, CH